#ifndef _DLG_H
#define _DLG_H

#include "windows.h"

typedef struct STATUSDIALOG_{
	HANDLE hthread;
	HWND hwnd_parent;
	HWND hwnd;
	HANDLE hevent;
	int cancelbutton;
	int (CALLBACK *callback)(struct STATUSDIALOG_ *status);
	void *callbackparam;
}STATUSDIALOG;

int StatusDialogPuts(STATUSDIALOG *status,char *str);
int StatusDialogPrintf(STATUSDIALOG *status,const char *format,...);
// STATUSDIALOG *OpenStatusDialog(HINSTANCE hInst,HWND hwnd_parent,int (CALLBACK *callback)(STATUSDIALOG *status),void *param);
STATUSDIALOG *OpenStatusDialog(HINSTANCE hInst,HWND hwnd_parent,int (CALLBACK *callback)(STATUSDIALOG *callbackparam),void *callbackparam);
int CloseStatusDialog(STATUSDIALOG *status);

#endif /* _DLG_H */
